#include "mainwindow.h"
#include "ui_mainwindow.h"

#include <opencv2/core.hpp>
#include <opencv2/imgcodecs.hpp>
#include <opencv2/highgui.hpp>

#include <QRandomGenerator>
#include <QString>


MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    QString BayerPics = "H://_Documents/build-OpenCV_TestGUI-Desktop_Qt_5_11_2_MinGW_32bit-Debug/debug/Bayer.tif";
    QString EffectivePics = "Effective_Bayer.tif";

    cv::Mat bayPic(8816, 11976, CV_16UC1);
    bayPic = cv::imread(BayerPics.toStdString(), 1);



    // read an image
    cv::Mat image(800, 600, CV_16UC1);

    for (int x = 1; x < 800-1; x++)
    {
        for (int y = 1; y < 600-1; y++)
        {
            uint16_t randNum = QRandomGenerator::global()->bounded(65535);
            image.at<uint16_t>(x, y) = randNum;
        }
    }


    //cv::Mat image = cv::imread("P://IMG-20180620-WA0001.jpg", 1);
    // create image window named "My Image"
    cv::namedWindow("My Image");
    // show the image on window
    cv::imshow("My Image", bayPic);
}

MainWindow::~MainWindow()
{
    delete ui;
}
